> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connector async task states.

> Returns a page of connector async task states for the given project. When dateCreatedFrom/dateCreatedTo are not provided, the dateCreated window defaults to the last 24 hours (current time minus 24h) up to current time plus 1h. Callers whose project space does not own the project only see tasks of jobs visible in their project space and job-less tasks (e.g. GUI imports) created by their own organization. Returns 403 when the caller has no project space for the project.



## OpenAPI

````yaml /openapi/phrase-tms-latest.json get /api2/v1/connectorAsyncTasks
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connections
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Metabase
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Setup
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: User Profile
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/connectorAsyncTasks:
    get:
      tags:
        - Connector
      summary: Get Connector async task states.
      description: >-
        Returns a page of connector async task states for the given project.
        When dateCreatedFrom/dateCreatedTo are not provided, the dateCreated
        window defaults to the last 24 hours (current time minus 24h) up to
        current time plus 1h. Callers whose project space does not own the
        project only see tasks of jobs visible in their project space and
        job-less tasks (e.g. GUI imports) created by their own organization.
        Returns 403 when the caller has no project space for the project.
      operationId: getConnectorAsyncTaskStates
      parameters:
        - name: projectUid
          in: query
          description: Filter by projectUid
          required: true
          schema:
            type: string
        - name: taskType
          in: query
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - DOWNLOAD
                - REIMPORT
                - REIMPORT_TARGET
                - UPLOAD
        - name: taskProcessingType
          in: query
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - APC
                - API
                - CJ
                - GUI
                - SUBMITTER_PORTAL
        - name: dateCreatedFrom
          in: query
          description: >-
            Date range from, based on dateCreated, default current time minus
            24h
          required: false
          schema:
            type: string
        - name: dateCreatedTo
          in: query
          description: Date range to, based on dateCreated, default current time plus 1h
          required: false
          schema:
            type: string
        - name: pageNumber
          in: query
          description: Page number, starting with 0, default 0
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            default: 0
        - name: pageSize
          in: query
          description: Page size, accepts values between 1 and 1000, default 100
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 1000
            default: 100
        - name: dateProcessedFrom
          in: query
          description: Date range from, based on dateProcessed
          required: false
          schema:
            type: string
        - name: dateProcessedTo
          in: query
          description: Date range to, based on dateProcessed
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectorAsyncTaskStatesDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDtoV1'
        '401':
          description: Not authorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDtoV1'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDtoV1'
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    ConnectorAsyncTaskStatesDto:
      type: object
      required:
        - content
        - pageNumber
        - pageSize
        - totalElements
        - totalPages
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/ConnectorAsyncTaskStateDto'
        errorCount:
          type: integer
          format: int32
          description: Number of tasks on this page with an error status
        numberOfElements:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        projectName:
          type: string
          description: Name of the project the tasks belong to
        projectUid:
          type: string
          description: UID of the project the tasks belong to
        sort:
          $ref: '#/components/schemas/Sort'
        successCount:
          type: integer
          format: int32
          description: Number of tasks on this page with a successful status
        totalElements:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
          description: Total number of pages, based on `pageSize`.
    ErrorResponseDtoV1:
      type: object
      properties:
        message:
          type: string
        status:
          type: string
    ConnectorAsyncTaskStateDto:
      type: object
      properties:
        dateCreated:
          type: string
          format: date-time
          description: Timestamp when the task was created
        dateProcessed:
          type: string
          format: date-time
          description: Timestamp when the task was processed, null if not yet processed
        errorMessage:
          type: string
          description: Error message if the task failed, null otherwise
        id:
          type: string
          description: Internal numeric ID of the async task, encoded as a string
        jobFileName:
          type: string
          description: Name of the file the task operates on
        jobUid:
          type: string
          description: UID of the associated job, null if the task is not linked to a job
        status:
          type: string
          description: Processing status of the async task
          enum:
            - NEW
            - SUCCESS
            - ERROR
            - CONVERTER_ERROR
        targetLang:
          type: string
          description: Target language code
        taskProcessingType:
          type: string
          description: Processing type of the task
          enum:
            - GUI
            - CJ
            - APC
            - API
            - SUBMITTER_PORTAL
        taskType:
          type: string
          description: Type of the task
          enum:
            - DOWNLOAD
            - UPLOAD
            - REIMPORT
            - REIMPORT_TARGET
    Sort:
      type: object
      properties:
        orders:
          type: array
          items:
            $ref: '#/components/schemas/SortOrder'
    SortOrder:
      type: object
      properties:
        direction:
          type: string
          enum:
            - ASC
            - DESC
        property:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.